Discussion:
Bug#933928: macsyfinder: Upstream released Python3 version but "error: 'setuptools' is not supported. Please use 'pip' instead."
Add Reply
Andreas Tille
2021-01-13 17:00:02 UTC
Reply
Permalink
Control: tags -1 - upstream

Hi,

upstream has released a Python3 version of macsyfinder which I pushed to
Git[1]. When trying to build I get a strange error:

dh_auto_install -O--buildsystem=pybuild
I: pybuild base:232: /usr/bin/python3 setup.py install --root '/build/macsyfinder-2.0~rc1/debian/macsyfinder'
running install
running build
running build_py
running install_lib
error: 'setuptools' is not supported. Please use 'pip' instead.
E: pybuild pybuild:353: install: plugin distutils failed with: exit code=1: /usr/bin/python3 setup.py install --root '/build/macsyfinder-2.0~rc1/debian/macsyfinder'
dh_auto_install: error: pybuild --install -i python{version} -p 3.9 --dest-dir /build/macsyfinder-2.0\~rc1/debian/macsyfinder returned exit code 13
make: *** [debian/rules:7: binary] Error 25
dpkg-buildpackage: error: debian/rules binary subprocess returned exit status 2


Any help is welcome

Andreas.


[1] https://salsa.debian.org/med-team/macsyfinder
--
http://fam-tille.de
Debian Bug Tracking System
2021-01-13 17:00:02 UTC
Reply
Permalink
Post by Andreas Tille
tags -1 - upstream
Bug #936977 [src:macsyfinder] macsyfinder: Python2 removal in sid/bullseye
Removed tag(s) upstream.
--
936977: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=936977
Debian Bug Tracking System
Contact ***@bugs.debian.org with problems
Debian Bug Tracking System
2021-01-13 17:00:02 UTC
Reply
Permalink
Post by Andreas Tille
tags -1 - upstream
Bug #933928 [src:macsyfinder] macsyfinder: Port to Python3 needed
Removed tag(s) upstream.
--
933928: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=933928
Debian Bug Tracking System
Contact ***@bugs.debian.org with problems
Loading...